[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TTextReader.ReadLine

Read a line of text

## Declaration

Source position: streamex.pp line 95

`public procedure TTextReader.ReadLine(`
`out AString: string`
`); virtual; abstract; overload; function TTextReader.ReadLine: string; overload;`

## Arguments

`AString` |  | The line of text that was read

## Function result

The line of text that was read

## Description

ReadLine will read a line of text from the text data source. A line of text is delimited by a CRLF character pair, a LF character or a CR character. The line ending characters are not included in the string.

The method exists in 2 versions: one function where the line of text is returned as the function result, one procedure where the line of text is returned in the AString parameter.

## See also

Eof |  | Check whether the end of the text data is returned.